package com.ydl.ydlcommon.utils.log

import com.apm.insight.log.VLog
import com.ydl.ydlcommon.BuildConfig


object XLog {

    fun d(tag: String, msg: String) {
        if (BuildConfig.DEBUG) {
            android.util.Log.d(tag, msg)
        }
        VLog.i(tag, msg)
    }

    fun i(tag: String, msg: String) {
        if (BuildConfig.DEBUG) {
            android.util.Log.i(tag, msg)
        }
        VLog.i(tag, msg)
    }

    fun w(tag: String, msg: String) {
        if (BuildConfig.DEBUG) {
            android.util.Log.w(tag, msg)
        }
        VLog.i(tag, msg)
    }

    fun e(tag: String, msg: String) {
        if (BuildConfig.DEBUG) {
            android.util.Log.e(tag, msg)
        }
        VLog.e(tag, msg)
    }
}